Bug 204804 - [NEW PORT] java/intellij: IntelliJ IDEA Java IDE
Summary: [NEW PORT] java/intellij: IntelliJ IDEA Java IDE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: feature, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-11-25 10:19 UTC by Tobias Kortkamp
Modified: 2016-01-10 20:34 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
intellij.shar (138.51 KB, text/plain)
2015-11-25 10:19 UTC, Tobias Kortkamp
no flags Details
intellij.shar (138.53 KB, text/plain)
2015-11-25 10:30 UTC, Tobias Kortkamp
no flags Details
Poudriere log FreeBSD 10.2/amd64 (16.98 KB, text/x-log)
2015-11-25 10:32 UTC, Tobias Kortkamp
no flags Details
intellij.shar (139.50 KB, text/plain)
2015-11-27 08:36 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details
Poudriere log FreeBSD 10.2/amd64 (16.39 KB, text/x-log)
2015-11-27 08:37 UTC, Tobias Kortkamp
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2015-11-25 10:19:35 UTC
Created attachment 163514 [details]
intellij.shar

IntelliJ IDEA is an advanced Java IDE developed by JetBrains and
focused on developer productivity. The community edition features:
* An intelligent code editor that understands Java code; provides
  refactorings, code inspections and intentions, and allows for
  fast code navigation.
* Integration with such tools as JUnit and TestNG, Ant and Maven,
  and popular version control systems including: CVS, Subversion
  and git.
* XML-Java interoperability and comprehensive Groovy programming
  language support.
* The Swing UI designer complements the suite of tools for
  developing Java desktop applications.

WWW: http://www.jetbrains.com/idea/
Comment 1 Tobias Kortkamp freebsd_committer 2015-11-25 10:30:21 UTC
Created attachment 163515 [details]
intellij.shar
Comment 2 Tobias Kortkamp freebsd_committer 2015-11-25 10:32:14 UTC
Created attachment 163516 [details]
Poudriere log FreeBSD 10.2/amd64

I know this port has some warnings in stage-qa (that 
lib/intellij/bin/libbreakgen64.so, lib/intellij/bin/fsnotifier-arm,
lib/intellij/bin/fsnotifier, lib/intellij/bin/libbreakgen.so, and
lib/intellij/bin/fsnotifier64 are not stripped), but these are 
Linux-only, not part of the package, and are never installed.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-27 02:42:53 UTC
@Tobias Should they be in STAGEDIR if they're not installed? 

Can they be ${RM}'d, or stripped anyway?
Comment 4 Tobias Kortkamp freebsd_committer 2015-11-27 08:36:12 UTC
Created attachment 163573 [details]
intellij.shar

I've ${RM}'ed them now.
Comment 5 Tobias Kortkamp freebsd_committer 2015-11-27 08:37:10 UTC
Created attachment 163574 [details]
Poudriere log FreeBSD 10.2/amd64
Comment 6 Kurt Jaeger freebsd_committer 2016-01-03 21:44:42 UTC
testbuilds@work
Comment 7 Kurt Jaeger freebsd_committer 2016-01-10 20:29:24 UTC
Testbuilds are fine on 11a, 10.2a+i, 9.3a
Comment 8 commit-hook freebsd_committer 2016-01-10 20:33:52 UTC
A commit references this bug:

Author: pi
Date: Sun Jan 10 20:33:02 UTC 2016
New revision: 405745
URL: https://svnweb.freebsd.org/changeset/ports/405745

Log:
  New port: java/intellij

  IntelliJ IDEA is an advanced Java IDE developed by JetBrains and
  focused on developer productivity. The community edition features:
  * An intelligent code editor that understands Java code; provides
    refactorings, code inspections and intentions, and allows for
    fast code navigation.
  * Integration with such tools as JUnit and TestNG, Ant and Maven,
    and popular version control systems including: CVS, Subversion
    and git.
  * XML-Java interoperability and comprehensive Groovy programming
    language support.
  * The Swing UI designer complements the suite of tools for
    developing Java desktop applications.

  WWW: http://www.jetbrains.com/idea/

  PR:		204804
  Submitted by:	t@tobik.me

Changes:
  head/java/Makefile
  head/java/intellij/
  head/java/intellij/Makefile
  head/java/intellij/distinfo
  head/java/intellij/files/
  head/java/intellij/files/idea.1
  head/java/intellij/files/idea.desktop.in
  head/java/intellij/files/idea.in
  head/java/intellij/pkg-descr
  head/java/intellij/pkg-plist
Comment 9 Kurt Jaeger freebsd_committer 2016-01-10 20:34:24 UTC
Committed, thanks!